%bcond_without check

%global goipath         github.com/pgaskin/koboutils
Version:                2.1.1

%gometa

%global common_description %{expand:
Small utilities for doing stuff with Kobo eReaders.}

%global golicenses      LICENSE.md
%global godocs          README.md kobo-find.md kobo-versionextract.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Small utilities for doing stuff with Kobo eReaders

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%package -n     koboutils
Summary:        %{summary}

%description -n koboutils
%{common_description}

%gopkg

%prep
%goprep
for util in kobo-find kobo-versionextract; do
  mv "${util}/README.md" "${util}.md"
done

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in kobo-versionextract kobo-find kobo-info; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files -n koboutils
%license LICENSE.md
%doc README.md kobo-find.md kobo-versionextract.md
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.1.1-2
- Rebuilt for loongarch64

* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
